<style scoped>
  .title {
    height: 60px;
    line-height: 60px;
  }

  .search {
    background-color: #fff;
    height: 80px;
    display: flex;
    align-items: center;
  }
  .search_thing {
    display: flex;
    align-items: center;
    height: 50px;
  }
  .search_label {
    width: 120px;
    font-size: 14px;
    text-align: right;
  }

  .search_input {
    width: calc(100% - 120px);
  }
  .table {
    margin-top: 10px;
    background-color: #fff;
    width: calc(100% - 40px);
    height: calc(100% - 60px - 80px - 10px - 40px);
    padding: 20px;
  }

</style>
<template>
  <div class="below-standard-main">
    <div style="width: 100%;height: 100%;">
      <div>
        <el-row class="title">
          <el-col :span="12" style="padding-left: 20px;">标准物质清单</el-col>
          <el-col :span="12" style="text-align: right;">
						<el-button size="medium" type="primary" @click="$refs['ValueTable'].openAddDia('新增接口')" v-if="addPower">新 增</el-button>
            <el-button size="medium" @click="$refs['ValueTable'].openDownDia()">导 出</el-button>
					</el-col>
        </el-row>
      </div>
      <div class="search">
        <div class="search_thing">
          <div class="search_label">名称：</div>
          <div class="search_input">
              <el-input size="small" placeholder="请输入" clearable v-model="componentData.entity.model"
                        @keyup.enter.native="refreshTable()"></el-input></div>
        </div>
        <div class="search_thing">
          <div class="search_label">生产厂家：</div>
          <div class="search_input">
            <el-input size="small" placeholder="请输入" clearable v-model="componentData.entity.sample"
              @keyup.enter.native="refreshTable()"></el-input>
          </div>
        </div>
        <div class="search_thing" style="padding-left: 30px;">
          <el-button size="small" @click="refresh()">重 置</el-button>
          <el-button size="small" type="primary" @click="refreshTable()">查 询</el-button>
        </div>
      </div>
      <div class="table">
          <ValueTable ref="ValueTable" :url="$api.unPass.pageInsUnPass" :componentData="componentData"
          :key="upIndex" />
      </div>
    </div>
  </div>
</template>

<script>
  import ValueTable from '../tool/value-table.vue'
export default {
  components: {
    ValueTable,
  },
  data() {
    return {
        componentData: {
          entity: {
            sample: null,
            model: null,
            orderBy: {
              field: 'id',
              order: 'asc'
            }
          },
          isIndex: true,
          showSelect: false,
          select: false,
          do: [
            {
              id: 'update',
              font: '编辑',
              type: 'text',
              method: 'doDiy',
              field:['createUserName','updateUserName']
            },{
              id: 'delete',
              font: '删除',
              type: 'text',
              method: 'doDiy'
            }
          ],
          tagField: [],
          selectField: [],
          requiredAdd: ['model','sample',],
          requiredUp: []
        },
        entityCopy: {},
        upIndex: 0,
        stateList: [],
        addPower:true,
      }
  },
  mounted() {
    this.entityCopy = this.HaveJson(this.componentData.entity)
    this.getPower()
  },
  methods :{
    refreshTable() {
        this.$refs['ValueTable'].selectList()
      },
    refresh() {
        this.componentData.entity = this.HaveJson(this.entityCopy)
        this.upIndex++
      },
    // 权限分配
    getPower(radio) {
      let power = JSON.parse(sessionStorage.getItem('power'))
    },
  }
}
</script>
